@echo off

rem MOUSEFIX.BAT V0.10
rem By Kris Nielsen
rem Copyright (c)1996 Toshiba America Information Systems, Inc.

cls
echo This patch batch file changes the Logitech Mouse Driver setup
echo located in the Windows 95 Registry.  It modifies what serial
echo ports the driver will search for a serial mouse during
echo Windows 95 startup.
echo At the prompt, enter what serial port your modem is set for.
echo If you will NOT be using a serial mouse, chose 'O'.
echo The '0' setting disables the mouse driver from searching
echo all serial ports for a serial mouse.
echo To restore the default pre-installed settings for the mouse driver,
echo chose 'D'.
echo.
echo    Modem COMM port  Searches for serial mouse at COMM port
echo    ---------------  --------------------------------------
echo      1                2
echo      2                1
echo      3               N/A (makes no changes to current settings)
echo      4               N/A (makes no changes to current settings)
echo      0               Disables Serial Mouse support
echo      D               Restores Default Serial Mouse support (enables serial
echo                      mouse support and searches both COM1 and COM2 ports
echo                      for serial mouse)
echo.

choice /C:Q12340D /N Your modem is set for what COM port (Q to exit)?
if errorlevel==7 goto default
if errorlevel==6 goto other
if errorlevel==5 goto com4
if errorlevel==4 goto com3
if errorlevel==3 goto com2
if errorlevel==2 goto com1
if errorlevel==1 goto done

:default
echo.
regedit lmdflt.reg
echo Done.  Exiting.
goto done

:other
echo.
regedit mdmfix.reg
echo Done.  Exiting.
goto done

:com4
:com3
echo.
echo No changes needed!  Exiting.
goto done

:com2
echo.
regedit mdmfix1.reg
echo Done.  Exiting.
goto done

:com1
echo.
regedit mdmfix2.reg
echo Done.  Exiting.
goto done

:done
echo.

